Subject: Re: Case sensitivity in filenames
From: [email-masked] (Scandora, Anthony E., Jr.)

5 Jan 1999 21:26:33 -0800
Message-ID: <408C59EF36D6D111ACF500A0C92DEA1981A215.cygnus.gnu-win32@cmtnts3>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
To: "'GNU-Win32'" <[email-masked]>

> -----Original Message-----
> From: Geoffrey Noer [mailto:[email-masked]] 
> Sent: Tuesday, January 05, 1999 12:21 AM
> To: Moore, Paul
> Cc: 'Larry Hall'; 'Gnu Win32'
> Subject: Re: Case sensitivity in filenames
....
> 
> Could you explain at greater length what you want Cygwin to do
> w.r.t. case insensitivity?
....
> 
> It probably would be appropriate for filename completion to
> autocorrect case changes in programs that use readline under Cygwin.
> That probably wouldn't be too hard to do.

I'm glad to read it's probably not too hard to do.  I'm not a UNIX hacker or
I would have already looked into it myself.

> 
> Any comments?  Are you arguing for Cygwin being case preserving but
> case insensitive?  More, less?

That would be perfect; no more, no less.  That's how the Win32 filesystem is
used by Win32 programs, and what most Win32 users have learned to expect.

I think it's important for Cygwin or any other emulator to balance emulating
the non-Win32 environment with usability on Win32.  If I could use UNIX, $50
would get me better support for Linux than much more money gets me from
Microsoft.  However, I have to use Win32, which lacks many necessary shell
utilities.  I use Cygwin for those shell utilities so I can work
productively in my Win32 environment.

Thanks for following up on users' comments.  It's a lot more than many
commercial developers do.

Tony Scandora, Argonne National Lab, 630-252-7541
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".